Last Comment Bug 706663 - Empty Favicons on about:home look like checkboxes
: Empty Favicons on about:home look like checkboxes
Status: RESOLVED FIXED
: uiwanted
Product: Firefox for Android
Classification: Client Software
Component: General (show other bugs)
: unspecified
: ARM Android
: P3 normal (vote)
: ---
Assigned To: Lucas Rocha (:lucasr)
:
: Sebastian Kaspari (:sebastian)
Mentors:
Depends on:
Blocks: 701380
  Show dependency treegraph
 
Reported: 2011-11-30 14:08 PST by Aaron Train [:aaronmt]
Modified: 2012-01-11 15:07 PST (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
11+


Attachments
Nightly (11/30) (17.55 KB, image/png)
2011-11-30 14:08 PST, Aaron Train [:aaronmt]
no flags Details

Description Aaron Train [:aaronmt] 2011-11-30 14:08:42 PST
Created attachment 578078 [details]
Nightly (11/30)

Currently the Favicon for empty entries in the "Favorite Sites" area look like tiny checkboxes; they're somewhat indistinguishable.

Ian/Madhava, what say you?
Comment 1 Naoki Hirata :nhirata (please use needinfo instead of cc) 2011-11-30 16:30:36 PST
11-30 16:25:51.366: D/GeckoFavicons(2773): The provided URL is not valid: java.net.MalformedURLException: Unknown protocol: about

related to bug 705732?
Comment 2 Lucas Rocha (:lucasr) 2011-12-01 02:40:11 PST
(In reply to Naoki Hirata :nhirata from comment #1)
> 11-30 16:25:51.366: D/GeckoFavicons(2773): The provided URL is not valid:
> java.net.MalformedURLException: Unknown protocol: about
> 
> related to bug 705732?

Naoki, nope. Bug 705732 is more of a performance improvement.
Comment 3 Lucas Rocha (:lucasr) 2011-12-01 02:41:28 PST
Ian/Madhava, we should be prepared for the cases where the website screenshot is not available for some reason. We need a funny placeholder image for those cases.
Comment 4 Ian Barlow (:ibarlow) 2011-12-01 05:24:47 PST
Thanks Lucas, I will take a look.

FYI on a related note, I filed a bug yesterday about making website thumbnail placeholders too, for when screenshots aren't available (bug 706636)
Comment 5 Madhava Enros [:madhava] 2012-01-05 08:05:13 PST
We have a placeholder thumbnail image and we're using it now, aren't we? We're no longer scaling up favicons here.

Patryk's also created a bug to use higher res favicons on our internal pages and for external pages with no favicon.

Given that, I'm moving this to "fixed".
Comment 6 Brad Lassey [:blassey] (use needinfo?) 2012-01-09 11:41:23 PST
(In reply to Madhava Enros [:madhava] from comment #5)
> We have a placeholder thumbnail image and we're using it now, aren't we?
> We're no longer scaling up favicons here.
> 
> Patryk's also created a bug to use higher res favicons on our internal pages
> and for external pages with no favicon.
> 
> Given that, I'm moving this to "fixed".

madhava, is this fixed to your satisfaction in aurora as well? if so please set status-firefox-11 to fixed

Note You need to log in before you can comment on or make changes to this bug.